# Class CreateExtendedIlluminaManifest

java.lang.Object
picard.cmdline.CommandLineProgram
picard.arrays.illumina.CreateExtendedIlluminaManifest

public class CreateExtendedIlluminaManifest extends CommandLineProgram
Create an Extended Illumina Manifest by performing a liftover to Build 37.

## Field Summary

Fields
Modifier and Type
Field
Description
`File`
`BAD_ASSAYS_FILE`
`File`
`CLUSTER_FILE`
`File`
`DBSNP_FILE`
`Boolean`
`FLAG_DUPLICATES`
`File`
`INPUT`
`File`
`OUTPUT`
`File`
`REPORT_FILE`
`List<String>`
`SUPPORTED_BUILD`
`List<File>`
`SUPPORTED_CHAIN_FILE`
`List<File>`
`SUPPORTED_REFERENCE_FILE`
`String`
`TARGET_BUILD`

### Fields inherited from class CommandLineProgram

`COMPRESSION_LEVEL, CREATE_INDEX, CREATE_MD5_FILE, MAX_ALLOWABLE_ONE_LINE_SUMMARY_LENGTH, MAX_RECORDS_IN_RAM, QUIET, REFERENCE_SEQUENCE, referenceSequence, specialArgumentsCollection, SYNTAX_TRANSITION_URL, TMP_DIR, USE_JDK_DEFLATER, USE_JDK_INFLATER, VALIDATION_STRINGENCY, VERBOSITY`

## Constructor Summary

Constructors
Constructor
Description
`CreateExtendedIlluminaManifest()`

## Method Summary

Modifier and Type
Method
Description
`protected String[]`
`customCommandLineValidation()`
Put any custom command-line validation in an override of this method.
`protected int`
`doWork()`
Do the work after command line has been parsed.
`protected ReferenceArgumentCollection`
`makeReferenceArgumentCollection()`

### Methods inherited from class CommandLineProgram

`checkRInstallation, getCommandLine, getCommandLineParser, getCommandLineParserForArgs, getDefaultHeaders, getFaqLink, getMetricsFile, getPGRecord, getStandardUsagePreamble, getStandardUsagePreamble, getVersion, hasWebDocumentation, instanceMain, instanceMainWithExit, parseArgs, requiresReference, setDefaultHeaders, useLegacyParser`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### INPUT

@Argument(shortName="I", doc="This is the text version of the Illumina .bpm file") public File INPUT

### OUTPUT

@Argument(shortName="O", doc="The name of the extended manifest to be written.") public File OUTPUT

### BAD_ASSAYS_FILE

@Argument(shortName="BAF", doc="The name of the the 'bad assays file'. This is a subset version of the extended manifest, containing only unmappable assays", optional=true) public File BAD_ASSAYS_FILE

### REPORT_FILE

@Argument(shortName="RF", doc="The name of the the report file") public File REPORT_FILE

### FLAG_DUPLICATES

@Argument(shortName="FD", doc="Flag duplicates in the extended manifest. If this is set and there are multiple passing assays at the same site (same locus and alleles) then all but one will be marked with the 'DUPE' flag in the extended manifest. The one that is not marked as 'DUPE' will be the one with the highest Gentrain score as read from the cluster file.", optional=true) public Boolean FLAG_DUPLICATES

### CLUSTER_FILE

@Argument(shortName="CF", doc="The Standard (Hapmap-trained) cluster file (.egt) from Illumina. If there are duplicate assays at a site, this is used to decide which is the 'best' (non-filtered in generated VCFs) by choosing the assay with the best GenTrain scores)", optional=true) public File CLUSTER_FILE

### DBSNP_FILE

@Argument(shortName="DBSNP", doc="Reference dbSNP file in VCF format.", optional=true) public File DBSNP_FILE

### TARGET_BUILD

@Argument(shortName="TB", doc="The target build. This specifies the reference for which the extended manifest will be generated. Currently this tool only supports Build 37 (Genome Reference Consortium Human Build 37 (GRCh37)). If entries are found in the Illumina manifest that are on this build they will be used with the coordinate specified in the manifest, If there are entries found on other builds, they will be marked as failed in the extended manifest UNLESS the build and liftover information (SUPPORTED_BUILD, SUPPORTED_REFERENCE_FILE, and SUPPORTED_CHAIN_FILE) is supplied.") public String TARGET_BUILD

### SUPPORTED_BUILD

@Argument(shortName="SB", doc="A supported build. The order of the input must match the order for SUPPORTED_REFERENCE_FILE and SUPPORTED_CHAIN_FILE. This is the name of the build as specified in the 'GenomeBuild' column of the Illumina manifest file.", optional=true) public List<String> SUPPORTED_BUILD

### SUPPORTED_REFERENCE_FILE

@Argument(shortName="SR", doc="A reference file for the provided SUPPORTED_BUILD. This is the reference file that corresponds to the 'SUPPORTED_BUILD' as specified above.", optional=true) public List<File> SUPPORTED_REFERENCE_FILE

### SUPPORTED_CHAIN_FILE

@Argument(shortName="SC", doc="A chain file that maps from SUPPORTED_BUILD -> TARGET_BUILD. Must provide a corresponding supported reference file.", optional=true) public List<File> SUPPORTED_CHAIN_FILE

## Constructor Details

### CreateExtendedIlluminaManifest

public CreateExtendedIlluminaManifest()

## Method Details

### makeReferenceArgumentCollection

protected ReferenceArgumentCollection makeReferenceArgumentCollection()

Overrides:
  `makeReferenceArgumentCollection` in class `CommandLineProgram`

### doWork

protected int doWork()
Description copied from class: `CommandLineProgram`
Do the work after command line has been parsed. RuntimeException may be thrown by this method, and are reported appropriately.

Specified by:
  `doWork` in class `CommandLineProgram`
Returns:
  program exit status.

### customCommandLineValidation

protected String[] customCommandLineValidation()
Description copied from class: `CommandLineProgram`
Put any custom command-line validation in an override of this method. clp is initialized at this point and can be used to print usage and access argv. Any options set by command-line parser can be validated.

Overrides:
  `customCommandLineValidation` in class `CommandLineProgram`
Returns:
  null if command line is valid. If command line is invalid, returns an array of error message to be written to the appropriate place.